{% extends "base.html" %}
{% block content %}
{% load markdownify %}
<main>
    <div>
        <h1>{{project.name}}</h1>
        <p>{{ project.description|markdownify }}</p>
        <h2>Tasks</h2>
        <p>
            <a href="{% url 'create_task' %}">Create a new task</a>
        </p>
        {% if project.tasks.all|length == 0 %}
        <p>This project has no tasks</p>
        {% else %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in project.tasks.all %}
                <tr>
                    <td>{{task.name}}</td>
                    <td>{{task.assignee}}</td>
                    <td>{{task.start_date}}</td>
                    <td>{{task.due_date}}</td>
                    {% if task.is_completed == True %}
                    <td>yes</td>
                    {% else %}
                    <td>no</td>
                    {% endif %}
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
</main>
{% endblock content %}
